OccurrencesSaveEnum (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum OccurrencesSaveEnum

- java.lang.Object
- - java.lang.Enum<OccurrencesSaveEnum>
  - - org.gcube.portlets.user.speciesdiscovery.shared.OccurrencesSaveEnum

- All Implemented Interfaces:
    Serializable, Comparable<OccurrencesSaveEnum>

      public enum OccurrencesSaveEnum
      extends Enum<OccurrencesSaveEnum>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPENMODELLER`
    `STANDARD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `static List<String>` | `getListLabels()`
    `static OccurrencesSaveEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OccurrencesSaveEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final OccurrencesSaveEnum STANDARD

    - #### OPENMODELLER

          public static final OccurrencesSaveEnum OPENMODELLER

  - ### Field Detail

    - #### label

          protected String label

  - ### Method Detail

    - #### values

          public static OccurrencesSaveEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OccurrencesSaveEnum c : OccurrencesSaveEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OccurrencesSaveEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Returns:
        the label

    - #### getListLabels

          public static List<String> getListLabels()

Copyright © 2013. All Rights Reserved.